$topPrintActive = 0;

function refreshTopTextCtrl ()
{
	TopPrintText.position = "10 0";
}

function clientCmdTopPrint (%message, %time, %hideBar)
{
	//if(getTaggedString(%message) !$= "" && restWords(%message) !$= "")
	//{
	//	%message = restWords(%message);
	//}
	
	%message = "<just:center>" @ detag(%message);
	
	if ($topPrintActive)
	{
		if ($topPrintDlg::removePrintEvent != 0)
		{
			cancel ($topPrintDlg::removePrintEvent);
			$topPrintDlg::removePrintEvent = 0;
		}
	}
	else 
	{
		topPrintDlg.setVisible (1);
		$topPrintActive = 1;
	}
	TopPrintText.setText (%message);
	if (%hideBar)
	{
		topPrintBar.setVisible (0);
	}
	else 
	{
		topPrintBar.setVisible (1);
	}
	if (%time > 0)
	{
		$topPrintDlg::removePrintEvent = schedule (%time * 1000, 0, "clientCmdCleartopPrint");
	}
}


function TopPrintText::onResize (%this, %width, %height)
{
	%this.position = "10 0";
}

function clientCmdclearTopPrint ()
{
	$topPrintActive = 0;
	topPrintDlg.visible = 0;
	if (isEventPending ($topPrintDlg::removePrintEvent))
	{
		cancel ($topPrintDlg::removePrintEvent);
	}
	$topPrintDlg::removePrintEvent = 0;
}

function clientCmdTopPrintHandshake()
{
	commandToServer('YesIHaveTopPrintYayAwesomeSuccess');
}

package topPrintPackage
{
	function disconnectedCleanup (%doReconnect)
	{
		clientCmdclearTopPrint ();
		return Parent::disconnectedCleanup (%doReconnect);
	}
	
	function PlayGui::onWake (%this)
	{
		Parent::onWake (%this);
		schedule (0, 0, "refreshTopTextCtrl");
	}
	
	function noHudGui::onWake (%this)
	{
		Parent::onWake (%this);
		schedule (0, 0, "refreshTopTextCtrl");
	}
};

activatePackage (topPrintPackage);
deactivatePackage (topPrintPackage);

if(isObject(topPrintDlg)) {
	topPrintDlg.delete();
}

exec("./topPrint.gui");

PlayGui.add(topPrintDlg);

if(isObject(ServerConnection))
{
	commandToServer('YesIHaveTopPrintYayAwesomeSuccess');
}